using System;
namespace RecrownedGTK.Graphics.Render {
    public class TextureBatch : IDisposable {
        private bool disposed;
        private bool begun;
        public TextureBatch() {
            //TODO: Finish this class.
        }
        public void Begin() {
            if (begun) throw new InvalidOperationException("This TextureBatch has already been started.");
            begun = true;
        }

        public void End() {
            if (!begun) throw new InvalidOperationException("The TextureBatch has not begun.");
            begun = false;
        }
        protected virtual void Dispose(bool disposing) {
            if (disposed) return;
            if (disposing) {
            }

            disposed = true;
        }
        public void Dispose() {
            Dispose(true);
            GC.SuppressFinalize(this);
        }

        ~TextureBatch() {
            Dispose(false);
        }
    }
}